Gecode::Int::Branch::ValSelRangeMax Class Reference
Other available functionality » Integer value selection for brancher

Value selection class for maximum range of integer view. More...

`#include <branch.hh>`

## Public Member Functions

| ValSelRangeMax (Space &home, const ValBranch< IntVar > &vb)
| Constructor for initialization.
| ValSelRangeMax (Space &home, ValSelRangeMax &vs)
| Constructor for cloning.
int | val (const Space &home, IntView x, int i)
| Return value of integer view x at position i.
Public Member Functions inherited from Gecode::ValSel< IntView, int >
| ValSel (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value selection.

## Additional Inherited Members

Public Types inherited from Gecode::ValSel< IntView, int >
typedef IntView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef int | Val
| Value type.

## Detailed Description

Value selection class for maximum range of integer view.

Requires

#include <gecode/int/branch.hh>
branch.hh

Definition at line 393 of file branch.hh.

## Constructor & Destructor Documentation

## ValSelRangeMax() [1/2]

Gecode::Int::Branch::ValSelRangeMax::ValSelRangeMax | ( | Space & | home,
|  | const ValBranch< IntVar > & | vb )

inline

Constructor for initialization.

Definition at line 147 of file val-sel.hpp.

## ValSelRangeMax() [2/2]

Gecode::Int::Branch::ValSelRangeMax::ValSelRangeMax | ( | Space & | home,
|  | ValSelRangeMax & | vs )

inline

Constructor for cloning.

Definition at line 150 of file val-sel.hpp.

## Member Function Documentation

## val()

int Gecode::Int::Branch::ValSelRangeMax::val | ( | const Space & | home,
|  | IntView | x,
|  | int | i )

inline

Return value of integer view x at position i.

Definition at line 153 of file val-sel.hpp.

The documentation for this class was generated from the following files:

- gecode/int/branch.hh
- gecode/int/branch/val-sel.hpp